Package com.independentsoft.office.word.numbering

# Class PreviousNumberingFieldProperties

java.lang.Object
com.independentsoft.office.word.Markup
com.independentsoft.office.word.TrackChange
com.independentsoft.office.word.numbering.NumberingTrackChange
com.independentsoft.office.word.numbering.PreviousNumberingFieldProperties

public class PreviousNumberingFieldProperties extends NumberingTrackChange
The Class PreviousNumberingFieldProperties.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.word.numbering.NumberingTrackChange

  `original`

  ### Fields inherited from class com.independentsoft.office.word.TrackChange

  `author, date`

  ### Fields inherited from class com.independentsoft.office.word.Markup

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreviousNumberingFieldProperties()`
  Instantiates a new previous numbering field properties.
  `PreviousNumberingFieldProperties​(InternalXMLStreamReader reader)`
  Instantiates a new previous numbering field properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PreviousNumberingFieldProperties`
  `clone()`
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.numbering.NumberingTrackChange

  `getOriginal, setOriginal`

  ### Methods inherited from class com.independentsoft.office.word.TrackChange

  `getAuthor, getDate, setAuthor, setDate`

  ### Methods inherited from class com.independentsoft.office.word.Markup

  `getID, setID`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PreviousNumberingFieldProperties

    public PreviousNumberingFieldProperties()
    Instantiates a new previous numbering field properties.

  - ### PreviousNumberingFieldProperties

    public PreviousNumberingFieldProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new previous numbering field properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public PreviousNumberingFieldProperties clone()
    Specified by:
      `clone` in class `NumberingTrackChange`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty